MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022546Community[OCCT] OCCT:Modeling Algorithmspublic2011-05-27 21:022015-09-05 16:34
Reporterszy 
Assigned Tojgv 
PrioritynormalSeverityfeature 
StatusclosedResolutionduplicate 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 6.7.0 
Summary0022546: Improving thread-safety
DescriptionRLN contribution. Detailed description:
        - Management of static objects in gp and Message to avoid data race
(i.e. access to unprotected data from different threads).

Corresponding branch was created - OCC22546_SeveralDatarace.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
duplicate of 0023920closedRoman Lygin Change use of static variables in Message package to prevent data races in Shape Healing 

-  Notes
(0045106)
abv (manager)
2015-09-05 16:34

Fixed by 0023920

- Issue History
Date Modified Username Field Change
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2011-10-21 17:16 szy Assigned To bugmaster => jgv
2011-10-21 17:16 szy Status acknowledged => assigned
2011-10-21 17:16 szy Resolution suspended => open
2011-10-21 17:16 szy Fixed in Version EMPTY =>
2011-10-21 17:16 szy Description Updated View Revisions
2011-11-25 14:25 szy Description Updated View Revisions
2015-09-05 16:34 abv Note Added: 0045106
2015-09-05 16:34 abv Status assigned => closed
2015-09-05 16:34 abv Resolution open => duplicate
2015-09-05 16:34 abv Fixed in Version => 6.7.0
2015-09-05 16:34 abv Relationship added duplicate of 0023920


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker